%define product   Formulator
%define version   1.6.1
%define release   8

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A patched version of the Formulator Zope product for ERP5
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
Patch0:    Formulator-1.6.1-editable-xml.patch
URL:       http://www.erp5.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires:  %{rpm_prefix}-zope

%description
Formulator is an extensible framework that eases the creation and validation of
web forms.

This version contain a patch from Nexedi that allow widgets in forms to be
editable or not.

%prep
%setup -q -c
%patch0 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.6.1-8mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.6.1-7mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.6.1-6mdk
- Give ownership to zope

* Tue Jan 24 2006 Kevin Deldycke <kevin@nexedi.com> 1.6.1-5mdk
- Add "Conflicts:" statement
- Delete "Provides:" statement

* Wed Jan 05 2006 Kevin Deldycke <kevin@nexedi.com> 1.6.1-4mdk
- Rewrite spec file based on the one written by Gaetan Lehmann for Mandriva 2006

* Thu Jan 22 2004 Sebastien Robin <seb@nexedi.com> 1.6.1-3mdk
- small error on the last patch

* Thu Jan 22 2004 Sebastien Robin <seb@nexedi.com> 1.6.1-2mdk
- updated the patch so that the xml is working again

* Wed Jan 21 2004 Sebastien Robin <seb@nexedi.com> 1.6.1-1mdk
- Updated to version 1.6.1
- added a small patch in order to allow to display field
- read only

* Wed Sep 12 2003 Sebastien Robin <seb@nexedi.com> 1.4.2-1mdk
- Updated to version 1.4.2

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-9mdk
- Remove old variables 'ZOPE_NAME' and replace it with 'name'

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-8mdk
- Update spec in order to follows Mandrake Rules

* Thu Jul 24 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-7nxd
- New patch made by me in order allow float with commas

* Wed Jun 11 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-6nxd
- New patch made by me in order to get an xml ordered

* Thu Jun 03 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-5nxd
- New patch again in order to apply a script on a line of a listbox (with the cell value)

* Thu Jun 03 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-4nxd
- New patch in order to apply a script on a line of a listbox (with the cell value)

* Tue May 13 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-3nxd
- New patch in order to improve Formulator with XML

* Wed Mar 26 2003 Sebastien Robin <seb@nexedi.com> 1.3.1-1nxd
- Update to release 1.3.1 of the formulator
- Added patch made by Jean-Paul Smets <jp@nexedi.com> wich allows to use a list of keys.

* Mon Nov 04 2002 Sebastien Robin <seb@nexedi.com> 1.2.0-2nxd
- Added patch in order to dynamically change the name

* Mon Nov 04 2002 Jean-Paul Smets <jp@nexedi.com> 1.2.0-1nxd
- Initial release
